org.apache.http.impl.nio.ssl

## Class SSLClientIOEventDispatch

- java.lang.Object
- - org.apache.http.impl.nio.reactor.AbstractIODispatch<NHttpClientIOTarget>
  - - org.apache.http.impl.nio.DefaultClientIOEventDispatch
    - - org.apache.http.impl.nio.ssl.SSLClientIOEventDispatch

- All Implemented Interfaces:
    IOEventDispatch

  Deprecated.
  (4.2) use `DefaultHttpClientIODispatch`

      @Deprecated
      @Immutable
      public class SSLClientIOEventDispatch
      extends DefaultClientIOEventDispatch

  Default implementation of `IOEventDispatch` interface for SSL (encrypted) client-side HTTP connections.
  Since:
    4.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.nio.DefaultClientIOEventDispatch

      `allocator, handler, params`

    - ### Fields inherited from interface org.apache.http.nio.reactor.IOEventDispatch

      `CONNECTION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLClientIOEventDispatch(NHttpClientHandler handler, SSLContext sslcontext, HttpParams params)` Deprecated. Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler using the given `SSLContext`.
    `SSLClientIOEventDispatch(NHttpClientHandler handler, SSLContext sslcontext, SSLSetupHandler sslHandler, HttpParams params)` Deprecated. Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler using the given `SSLContext`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected NHttpClientIOTarget` | `createConnection(IOSession session)` Deprecated. Creates an instance of `DefaultNHttpClientConnection` based on the given `IOSession`.
    `protected NHttpClientIOTarget` | `createSSLConnection(SSLIOSession ssliosession)` Deprecated.
    `protected SSLIOSession` | `createSSLIOSession(IOSession session, SSLContext sslcontext, SSLSetupHandler sslHandler)` Deprecated. Creates an instance of `SSLIOSession` decorating the given `IOSession`.
    `void` | `onConnected(NHttpClientIOTarget conn)` Deprecated.

    - ### Methods inherited from class org.apache.http.impl.nio.DefaultClientIOEventDispatch

      `createByteBufferAllocator, createHttpResponseFactory, onClosed, onException, onInputReady, onOutputReady, onTimeout`

    - ### Methods inherited from class org.apache.http.impl.nio.reactor.AbstractIODispatch

      `connected, disconnected, inputReady, outputReady, timeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLClientIOEventDispatch

          public SSLClientIOEventDispatch(NHttpClientHandler handler,
                                  SSLContext sslcontext,
                                  SSLSetupHandler sslHandler,
                                  HttpParams params)

      Deprecated.
      Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler using the given `SSLContext`. This I/O dispatcher will transparently handle SSL protocol aspects for HTTP connections.
      Parameters:
        `handler` - the client protocol handler.
        `sslcontext` - the SSL context.
        `sslHandler` - the SSL setup handler.
        `params` - HTTP parameters.

    - #### SSLClientIOEventDispatch

          public SSLClientIOEventDispatch(NHttpClientHandler handler,
                                  SSLContext sslcontext,
                                  HttpParams params)

      Deprecated.
      Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler using the given `SSLContext`. This I/O dispatcher will transparently handle SSL protocol aspects for HTTP connections.
      Parameters:
        `handler` - the client protocol handler.
        `sslcontext` - the SSL context.
        `params` - HTTP parameters.

  - ### Method Detail

    - #### createSSLIOSession

          protected SSLIOSession createSSLIOSession(IOSession session,
                                        SSLContext sslcontext,
                                        SSLSetupHandler sslHandler)

      Deprecated.
      Creates an instance of `SSLIOSession` decorating the given `IOSession`.

      This method can be overridden in a super class in order to provide a different implementation of SSL I/O session.

      Parameters:
        `session` - the underlying I/O session.
        `sslcontext` - the SSL context.
        `sslHandler` - the SSL setup handler.
      Returns:
        newly created SSL I/O session.

    - #### createSSLConnection

          protected NHttpClientIOTarget createSSLConnection(SSLIOSession ssliosession)

      Deprecated.

    - #### createConnection

          protected NHttpClientIOTarget createConnection(IOSession session)

      Deprecated.
      Description copied from class: `DefaultClientIOEventDispatch`
      Creates an instance of `DefaultNHttpClientConnection` based on the given `IOSession`.

      This method can be overridden in a super class in order to provide a different implementation of the `NHttpClientIOTarget` interface.

      Overrides:
        `createConnection` in class `DefaultClientIOEventDispatch`
      Parameters:
        `session` - the underlying I/O session.
      Returns:
        newly created HTTP connection.

    - #### onConnected

          public void onConnected(NHttpClientIOTarget conn)

      Deprecated.
      Overrides:
        `onConnected` in class `DefaultClientIOEventDispatch`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.